Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.provider.key
Class RijndaelKeyGenerator

    java.lang.Object
      |
      +--xjava.security.KeyGenerator
            |
            +--cryptix.provider.key.RawKeyGenerator
                  |
                  +--cryptix.provider.key.RijndaelKeyGenerator

public class RijndaelKeyGenerator
extends RawKeyGenerator

A variable-length key generator for Rijndael.

The possible values are 128, 192 and 256 bits (16, 24 and 32 bytes).

Since:
  Cryptix 3.1.3/3.2.0
Version:
  $Revision: 1.1 $
Author:
  Edwin Woudt

Constructor Summary
`RijndaelKeyGenerator()`

Method Summary
`boolean` | `isValidKeyLength(int length)` Returns true iff length is a valid key length (in bytes) for this algorithm.

Methods inherited from class cryptix.provider.key.RawKeyGenerator
`engineGenerateKey, generateKey, generateKey, getDefaultKeyLength, getMaximumKeyLength, getMinimumKeyLength, initialize, initialize, isWeak, isWeakAllowed, setWeakAllowed`

Methods inherited from class xjava.security.KeyGenerator
`clone, engineGetParameter, engineSetParameter, getAlgorithm, getAlgorithms, getAlgorithms, getInstance, getInstance, getParameter, setParameter, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RijndaelKeyGenerator

    public RijndaelKeyGenerator()

Method Detail

### isValidKeyLength

    public boolean isValidKeyLength(int length)

  Description copied from class: RawKeyGenerator
  Returns true iff length is a valid key length (in bytes) for this algorithm.

  The default implementation returns true if length is between the minimum and maximum key lengths. Some algorithms will override this method to specify a more restricted set of values.

  Overrides:
    isValidKeyLength in class RawKeyGenerator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.